# Generated by Django 2.1.3 on 2018-11-11 00:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
import taggit.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('taggit', '0002_auto_20150616_2121'),
        ('boris', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Feed',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('author_name', models.TextField(blank=True, null=True)),
                ('author_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('author_link', models.URLField(blank=True, null=True)),
                ('url', models.URLField(unique=True)),
                ('title', models.TextField(editable=False, null=True)),
                ('subtitle', models.TextField(blank=True, editable=False, null=True)),
                ('info', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('language', models.CharField(blank=True, max_length=50, null=True)),
                ('etag', models.CharField(blank=True, db_index=True, max_length=50, null=True)),
                ('last_modified', models.DateTimeField(blank=True, db_index=True, null=True)),
                ('last_checked', models.DateTimeField(blank=True, null=True)),
                ('is_active', models.BooleanField(db_index=True, default=True)),
                ('ttl', models.IntegerField(blank=True, help_text='Time-to-live', null=True)),
                ('copyright', models.TextField(blank=True, editable=False, null=True)),
                ('categories', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='boris.Site')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FeedLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('author_name', models.TextField(blank=True, null=True)),
                ('author_email', models.EmailField(blank=True, max_length=254, null=True)),
                ('author_link', models.URLField(blank=True, null=True)),
                ('title', models.TextField(blank=True, editable=False, null=True)),
                ('published_on', models.DateTimeField(blank=True, null=True)),
                ('updated_on', models.DateTimeField(blank=True, null=True)),
                ('guid', models.CharField(blank=True, db_index=True, max_length=50, null=True)),
                ('summary', models.TextField(blank=True, editable=False, null=True)),
                ('content', models.TextField(blank=True, editable=False, null=True)),
                ('copyright', models.TextField(blank=True, editable=False, null=True)),
                ('feed', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='cindy.Feed')),
                ('link', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='boris.Link')),
                ('tags', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
            ],
        ),
        migrations.CreateModel(
            name='UserFeed',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('content_style', models.CharField(choices=[('original', 'original'), ('summary', 'summary'), ('extracted', 'extracted')], default='extracted', max_length=16)),
                ('feed', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='cindy.Feed')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='userfeed',
            unique_together={('feed', 'user')},
        ),
        migrations.AlterUniqueTogether(
            name='feedlink',
            unique_together={('link', 'feed')},
        ),
    ]
